pmix_finalize(3)

NAME

PMIx_Finalize - Finalize the PMIx Client

SYNOPSIS

    #include <pmix.h>

    pmix\_status\_t PMIx\_Finalize(const pmix\_info\_t info[], size_t ninfo);

ARGUMENTS

info : An optional array of pmix_info_t structures

ninfo : Number of pmix_info_t structures in the pmix_info_t array

DESCRIPTION

Finalize the PMIx client, closing the connection with the local PMIx server and releasing all malloc'd memory.

The info array is used to pass user requests regarding the fence operation. This can include:

(a) PMIX_EMBED_BARRIER - By default, PMIx_Finalize does not include an internal barrier operation. This attribute directs PMIx_Finalize to execute a barrier as part of the finalize operation.

RETURN VALUE

Returns PMIX_SUCCESS on success. On error, a negative value corresponding to a PMIx errno is returned.

ERRORS

PMIx errno values are defined in pmix_common.h.

NOTES

SEE ALSO

PMIx_Init(3)

AUTHORS
PMIx.